languages:
  default: "de"
  badges: "de"
  timezone: "Europe/Berlin"

database:
  backend: "mysql"
  name: SIP_MYSQL_DB_NAME
  user: SIP_MYSQL_DB_USER
  password: SIP_MYSQL_DB_PW
  host: SIP_MYSQL_DB_SERVER
  port: SIP_MYSQL_DB_PORT

rabbitmq:
  vhost: "app"
  user: "app"
  password: "app"
  host: 127.0.0.1
  port: 5672

mail:
    send:
        host: SIP_SMTP_HELFERTOOL_HOST
        tls: SIP_SMTP_HELFERTOOL_ENCRYPTION
        user: SIP_SMTP_HELFERTOOL_MAIL_USER
        port: SIP_SMTP_HELFERTOOL_PORT
        password: SIP_SMTP_HELFERTOOL_MAIL_PWD
        starttls: false

    sender_address: SIP_SMTP_HELFERTOOL_FROM_MAIL
    sender_name: "Helfertool"
    batch_size: 200
    batch_gap: 5

authentication:
    oidc:
        provider_name: "SWITCHaai"
        provider:
            authorization_endpoint: SIP_AUTH_OIDC_AUTH_ENDPOINT
            token_endpoint: SIP_AUTH_OIDC_TOKEN_ENDPOINT
            jwks_uri: SIP_AUTH_OIDC_JWKS_URL
            client_id: SIP_AUTH_HELFERTOOL_CLIENT_ID
            client_secret: SIP_AUTH_HELFERTOOL_CLIENT_SECRET

        claims:
            # There are two types to handle claims
            # 1) direct: the claim is directly compared
            # 2) member: the claim is a list and it is checked if the specified value is included (useful for groups/roles)
            login:
                #compare: "direct"
                #name: "helfertool_login"
                #value: true
                compare: "member"
                path: 'resource_access."SIP_AUTH_HELFERTOOL_CLIENT_ID".roles'
                value: "login"

            admin:
                #compare: "direct"
                #name: "helfertool_admin"
                #value: true
                compare: "member"
                path: 'resource_access."SIP_AUTH_HELFERTOOL_CLIENT_ID".roles'
                value: "admin"

security:
    debug: SIP_DEBUG
    secret: SIP_SECRET_KEY

    allowed_hosts:
      - "*"

customization:
    urls:
        imprint: "https://account.vseth.ethz.ch/legal/"
        privacy: "https://account.vseth.ethz.ch/legal/"
    contact_address: "vseth-it-support@ethz.ch"
